#pragma once

#include <mapreduce/yt/interface/client.h>

namespace maps::wiki::route_lost_feedback {

class LostTrackReducer : public NYT::IReducer<
    NYT::TTableReader<NYT::TNode>,
    NYT::TTableWriter<NYT::TNode>>
{
public:
    LostTrackReducer() = default;
    void Do(TReader* reader, TWriter* writer) override;
};

} // namespace maps::wiki::route_lost_feedback
